package simapclient;


import java.util.ArrayList;

import org.apache.axis2.om.OMAttribute;
import org.apache.axis2.om.OMElement;

public class HitTaxNode {
	private int node_id;
	private int parent_id;
	private String rank;
	private String name;
	public String getName() {
		return name;
	}
	public int getNode_id() {
		return node_id;
	}
	public int getParent_id() {
		return parent_id;
	}
	public String getRank() {
		return rank;
	}
	public static HitTaxNode parse (OMElement xml){
		HitTaxNode result=new HitTaxNode();
		
		ArrayList<OMAttribute> art=SimapClientUtil.fromIterator(xml.getAllAttributes());
		for (OMAttribute a : art){
			if (a.getLocalName().equalsIgnoreCase("name")) result.name=a.getAttributeValue();
			if (a.getLocalName().equalsIgnoreCase("rank")) result.rank=a.getAttributeValue();
			if (a.getLocalName().equalsIgnoreCase("node_id")) result.node_id=new Integer(a.getAttributeValue());
			
		}
		return result;
	}
	
	public String toString(){
		return this.node_id+" "+this.name+" "+this.rank;
		
	}
}
