package simapclient;




public class Database {
	private int id;
	private String name="";
	private String descr="";
	
	public Database(int dbid){
		this.id=dbid;
		
	}
	public Database(int dbid,String name,String descr){
		this.id=dbid;
		this.name=name;
		this.descr=descr;
		
	}
	
	public  int getDatabaseID() {return this.id;}

	/**
	 * @return database name
	 */
	public  String getName(){return this.name;}

	/**
	 * @return database description
	 */
	public  String getDescription(){return null;}

	/**
	 * @return source name
	 */
	public  String getSourceName(){return null;}

	/**abstract
	 * @return source ID
	 */
	public  int getSourceID(){return 0;}

	/**
	 * @return source description
	 */
	public  String getSourceDescription(){return null;}

	/**
	 * @return linkoutURL
	 */
	public  String getLinkoutURL(){return null;}

	/**
	 * @return database size (number of amino acids)
	 */
	public  int getDatabaseSize(){return 0;}

	/**
	 * @return taxonomy ID
	 */
	public  int getTaxonomyID(){return 0;}

	/**
	 * @return taxonomy node
	 */
	

	/**
	 * @return is_public
	 */
	public  boolean isPublic(){return true;}

	/**
	 * @return is_outdated
	 */
	public  boolean isOutdated(){return true;}

	/**
	 * @return date of last modification
	 */
	public  String getModified(){return null;}

	/**
	 * @param EDatabase
	 * @param add_taxon Add taxonomy node?
	 * Adds XML elements describing the database to EDatabase
	 */
	public String toString(){
		return this.name+" "+this.descr+" "+this.id;
		
	}

}
