package simapclient;




public class ProteinEntry {
	private Database db;
	private String name;
	private String descr;
	private int taxonomy_id;
	private int selfscore;
	private int length;
	private String md5;
	public ProteinEntry(Database db, String name, String descr,int taxonomy_id,int selfscore, int length, String md5) {
		
		
		this.db = db;
		
		this.name = name;
		this.descr=descr;
		this.taxonomy_id = taxonomy_id;
		this.selfscore=selfscore;
		this.length=length;
		this.md5=md5;
	}
	public Database getDb() {
		return db;
	}
	public String getName() {
		return name;
	}
	public int getTaxonomy_id() {
		return taxonomy_id;
	}
	public String getDescr() {
		return descr;
	}
	public String toString(){
		return md5+" "+name+"\t"+descr+"\t"+db.getName()+"\t"+db.getDatabaseID();
		
	}
	public int getLength() {
		return length;
	}
	public int getSelfscore() {
		return selfscore;
	}
	public String getMd5() {
		return md5;
	}
	public void setMd5(String md5) {
		this.md5 = md5;
	}
	public void setDb(Database db) {
		this.db = db;
	}
	public void setDescr(String descr) {
		this.descr = descr;
	}
	public void setLength(int length) {
		this.length = length;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setSelfscore(int selfscore) {
		this.selfscore = selfscore;
	}
	public void setTaxonomy_id(int taxonomy_id) {
		this.taxonomy_id = taxonomy_id;
	}

}
