package simapclient;


import java.util.ArrayList;

import javax.xml.namespace.QName;

import org.apache.axis2.om.OMElement;

public class ResultParser {
	
	public static ArrayList<HitSet> parseResult(String xml) throws Exception {
		ArrayList<HitSet> res=new ArrayList();
		OMElement r=SimapClientUtil.getOMElementFromXML(xml);
		r=r.getFirstElement().getFirstElement();
		
		QName my_element=SimapClientUtil.getSimapName("simapResult");
		QName my_element2=SimapClientUtil.getSimapName("simapResult");
		
		OMElement r1=r.getFirstChildWithName(my_element);
	
		
		if (r1==null){
			r1=r.getFirstElement().getFirstChildWithName(my_element);
			
		}
		
		my_element=SimapClientUtil.getSimapName("SequenceSimilaritySearchResult");
		my_element2=SimapClientUtil.getSimapName("SequenceQuickSearchResult");
		
		OMElement r2=r1.getFirstChildWithName(my_element);
		
		if (r2==null) r2=r1.getFirstChildWithName(my_element2);
		my_element=SimapClientUtil.getSimapName("hits");
		OMElement r3=r2.getFirstChildWithName(my_element);
		
		ArrayList<OMElement> resultlist=
			SimapClientUtil.getChildList(r3);
			for (OMElement h: resultlist){
				ArrayList<OMElement> hit=SimapClientUtil.getChildList(h);
				OMElement alignment_xml=hit.get(0);
				OMElement sequence_xml=hit.get(1);
				Alignment alignment=new Alignment(SimapClientUtil.getChildList(alignment_xml).get(0));
				HitSequence hitsequence=HitSequence.parse(sequence_xml);
				res.add(new HitSet(alignment,hitsequence));
				
			}
		
		
		return res;
	}

}
